MSA(3)

NAME
MSA - generate 'my secondary address' command byte

SYNOPSIS

#include <gpib/ib.h>

uint8_t MSA(unsigned int address);

DESCRIPTION

MSA() returns a 'my secondary address' command byte corresponding to the address argument. The address may be between 0 and 31. This macro is also useful for mangling secondary addresses from the 'real' values between 0 and 31 to the range 0x60 to 0x7f used by most of the library's functions.

RETURN VALUE

The appropriate MSA command byte is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess